> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# documenttemplatesfiltered

> MDO Provider for Document Templates, excluding Document details and quote mail templates, which are for system use rather than end-user choosing.

## "documenttemplatesfiltered" MDO List

MDO Provider for Document Templates, excluding Document details and quote mail templates, which are for system use rather than end-user choosing.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DocumentTemplatesFiltered">DocumentTemplatesFiltered</see> class.
The name of the MDO list is 'documenttemplatesfiltered'.

## Additional Attributes

| Description                                                                       | Name                  | Example Value |
| --------------------------------------------------------------------------------- | --------------------- | ------------- |
| Set 'ExcludeEmailTemplates=true' if no templates of type Email should be returned | ExcludeEmailTemplates | true          |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/documenttemplatesfiltered
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("documenttemplatesfiltered", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                        | StyleHint | ExtraInfo |
| -- | --------------------------- | --------- | --------- |
| 1  | Brev                        |           |           |
| 4  | Brev - Internasjonal        |           |           |
| 6  | E-post                      |           |           |
| 7  | E-post SV:                  |           |           |
| 8  | E-post VS:                  |           |           |
| 3  | Faks                        |           |           |
| 5  | Faks - Internasjonal        |           |           |
| 12 | Innk. dok.                  |           |           |
| 11 | Innk. E-post                |           |           |
| 2  | Notat                       |           |           |
| 15 | Quote                       |           |           |
| 9  | Send dok.pr E-post          |           |           |
| 10 | Send dok.pr Faks            |           |           |
| 13 | StateZero Word Simple       |           |           |
| 14 | StateZero Word Simple Czech |           |           |


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
